Skip to main content
POST
Work order types.

Headers

Prefer
enum<string>

Preference

Available options:
return=representation,
return=minimal,
return=none,
resolution=ignore-duplicates,
resolution=merge-duplicates

Query Parameters

select
string

Filtering Columns

Body

work_order_types

Work order types.

is_planned is what separates preventive work from a breakdown without a client knowing any type code (UI spec §6.1 views).

code
string<character varying>
Maximum string length: 40
default_priority_code
string<character varying>
Maximum string length: 40
id
string<uuid>

Note: This is a Primary Key.

is_active
boolean<boolean>
is_emergency
boolean<boolean>
is_planned
boolean<boolean>
name
string<character varying>
Maximum string length: 150
sort_order
integer<integer>

Response

201

Created